"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getData = void 0;
const yqcthzjData_1 = require("../data/table/yqcthzjData");
const inFrontOut_1 = require("../dataPackage/inFrontOut");
const out_1 = require("../dataPackage/out");
/*疫情常态化中间*/
function getData(req, res) {
    let excelData = yqcthzjData_1.yqcthzjTableData();
    let ret = {};
    let jcsjPackageData = inFrontOut_1.keyValuePackage(excelData['基础数据'].dataList);
    ret['jcsj'] = out_1.getKeyValueOut('基础数据', jcsjPackageData);
    let hsjcTableData = inFrontOut_1.keyValuePackage(excelData["核酸检测"].dataList);
    hsjcTableData.sort(function (a, b) {
        return b.value - a.value;
    });
    ret['hsjc'] = out_1.getKeyValueOut('核酸检测>2天', hsjcTableData);
    let kyjcTableData = inFrontOut_1.keyValuePackage(excelData["抗原检测"].dataList);
    kyjcTableData.sort(function (a, b) {
        return b.value - a.value;
    });
    ret['kyjc'] = out_1.getKeyValueOut('抗原检测>2天', kyjcTableData);
    let thrcqsfglPackageData = inFrontOut_1.keyValuePackage(excelData['通行人次趋势（复工率）'].dataList);
    ret['thrcqsfgl'] = out_1.getKeyValueOut('通行人次趋势（复工率）', thrcqsfglPackageData);
    let drthrsPackageData = inFrontOut_1.onceYBarChartPackage(excelData['当日通行人数'], '人', '');
    ret['drthrs'] = out_1.getOnceYBarChartOut('当日通行人数', drthrsPackageData);
    res.send(ret);
}
exports.getData = getData;
//# sourceMappingURL=yqcthzj.js.map