"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getData = void 0;
const yqcthypData_1 = require("../data/table/yqcthypData");
const inFrontOut_1 = require("../dataPackage/inFrontOut");
const out_1 = require("../dataPackage/out");
/*疫情常态化右屏*/
function getData(req, res) {
    let excelData = yqcthypData_1.yqcthypTableData();
    let ret = {};
    let jrhsscPackageData = inFrontOut_1.tablePackage(excelData['今日核酸筛查'].headerList[0], excelData["今日核酸筛查"].bodyList);
    let jrhsscData;
    let jrhsscInfo = [];
    for (let key in jrhsscPackageData.dataList) {
        let { A, B, C } = jrhsscPackageData.dataList[key];
        jrhsscData = {
            name: A,
            value: B,
            proportion: C
        };
        jrhsscInfo.push(jrhsscData);
    }
    ret['jrhssc'] = { title: '今日核酸筛查', dataList: jrhsscInfo };
    let scslqsPackageData = inFrontOut_1.onceYBarChartPackage(excelData['筛查数量趋势'], '人', '');
    ret['scslqs'] = out_1.getOnceYBarChartOut('筛查数量趋势', scslqsPackageData);
    let xxzbsyxxTableData = inFrontOut_1.tablePackage(excelData["学校周边涉疫信息"].headerList[0], excelData["学校周边涉疫信息"].bodyList);
    let xxzbsyxxInfo = out_1.getTableOut('学校周边涉疫信息', xxzbsyxxTableData);
    ret['xxzbsyxx'] = { title: "学校周边涉疫信息", titleList: ['信息时间', '涉疫范围', '涉疫人群'], valueList: xxzbsyxxInfo.valueList };
    let syqqqkPackageData = inFrontOut_1.keyValuePackage(excelData['涉疫缺勤情况汇总'].dataList);
    ret['syqqqkhz'] = out_1.getKeyValueOut('涉疫缺勤情况汇总', syqqqkPackageData);
    let syqqqkTableData = inFrontOut_1.tablePackage(excelData["涉疫缺勤情况"].headerList[0], excelData["涉疫缺勤情况"].bodyList);
    ret['syqqqk'] = out_1.getTableOut('涉疫缺勤情况', syqqqkTableData);
    res.send(ret);
}
exports.getData = getData;
//# sourceMappingURL=yqcthyp.js.map