"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getData = void 0;
const yqcthzpData_1 = require("../data/table/yqcthzpData");
const inFrontOut_1 = require("../dataPackage/inFrontOut");
const out_1 = require("../dataPackage/out");
/*疫情常态化左屏*/
function getData(req, res) {
    let excelData = yqcthzpData_1.yqcthzpTableData();
    let ret = {};
    let yjsqsPackageData = inFrontOut_1.onceYBarChartPackage(excelData['预警数趋势'], '次', '');
    ret['yjsqs'] = out_1.getOnceYBarChartOut('预警数趋势', yjsqsPackageData);
    let syqqyyfxPackageData = inFrontOut_1.keyValuePackage(excelData['涉疫缺勤原因分析'].dataList);
    ret['syqqyyfx'] = out_1.getKeyValueOut('涉疫缺勤原因分析', syqqyyfxPackageData);
    let yjryzbPackageData = inFrontOut_1.keyValuePackage(excelData['预警人员占比'].dataList);
    ret['yjryzb'] = out_1.getKeyValueOut('预警人员占比', yjryzbPackageData);
    let szsbPackageData = inFrontOut_1.keyValuePackage(excelData['数字哨兵'].dataList);
    let zrtbData = [];
    let szsbData = [];
    szsbPackageData.forEach(info => {
        let { key, value, unit } = info;
        if (key == "昨日同比") {
            zrtbData.push(info);
        }
        else {
            szsbData.push(info);
        }
    });
    // ret['szsb'] = getKeyValueOut('数字哨兵', szsbPackageData);
    ret['szsb'] = out_1.getKeyValueOut('数字哨兵', szsbData);
    ret['zrtb'] = out_1.getKeyValueOut('昨日同比', zrtbData);
    let drkqPackageData = inFrontOut_1.keyValuePackage(excelData['当日考勤'].dataList);
    ret['drkq'] = out_1.getKeyValueOut('当日考勤', drkqPackageData);
    res.send(ret);
}
exports.getData = getData;
//# sourceMappingURL=yqcthzp.js.map